import { Component, OnInit } from '@angular/core';
import { api } from '@enums/api.enum';
import { IonicModule } from '@ionic/angular';
import { HttpRequestService } from '@services/http-request.service';

@Component({
  selector: 'app-terms-policy',
  templateUrl: './terms-policy.page.html',
  styleUrls: ['./terms-policy.page.scss'],
  standalone: true,
  imports: [IonicModule]
})
export class TermsPolicyPage implements OnInit {
  termsandcondition: any;
  constructor(private httpRequestService: HttpRequestService,
  ) { }

  ngOnInit() {
    this.getPolicyContent();
  }

  getPolicyContent() {
    const params = {
      page: 'terms_and_condition'
    };
    this.httpRequestService.post(api.getPrivacyValue, params).then((res: any) => {
      if (res.status_code === 200) {
        this.termsandcondition = res.content;
      }
    });
  }

}
